/*	Timidity Wrapper Plugin for XMMS
 *	Copyright (C) 2003  Adam Nielsen
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

//#include "config.h"

// The name of the Timidity executable.  This can be an absolute path (e.g.
// "/usr/local/bin/timidity" or just the name of the binary (e.g. "timidity"
// if it can be found in the system path.)
#define TIMIDITY_EXE      "timidity"

// The location of the FIFO that is used to pass audio data from Timidity to
// XMMS.  This is created on each load, and deleted when XMMS exits cleanly.
// The filename is prepended by the user's home directory and a slash.
#define PIPE_NAME          ".in-timidity.pipe"

// The location of a temporary file used for additional Timidity configuration.
// At present this is only used to tell Timidity to load extra SoundFonts when
// they are available.  It is overwritten every time a file is played, and
// deleted when XMMS exits cleanly.
// The filename is prepended by the user's home directory and a slash.
#define CONFIG_NAME       ".in-timidity.config"

// The output sampling rate in Hertz.  44100 == 44.1kHz (CD Quality)
// Some versions of Timidity have a maximum of 65000.  If you put it too high,
// Timidity will quit with an error which will cause XMMS to lock up ;-)
#define SAMPLE_RATE       44100

// Number of channels: 1 == Mono, 2 == Stereo
#define NUM_CHANNELS      2

// Number of bits per sample.  Valid values are 8 or 16.  16-bit is CD quality.
#define BITS_PER_SAMPLE   16

